/*

Plugin Name: Multi Drop Down Mobile menu
version: 1.0
Author: Sujon Mahamud
Desc: 

*/

/*Base css*/

@media screen and (max-width:769px) {
    *{
        margin: 0;
        padding: 0;
    }
    body{
        font-size: 16px;
        font-family: 'arial', sans-serif;
    }
    
    a, a:hover{
        outline: none;
        text-decoration: none;
    }
    
    ul, li{
        list-style: none;
    }
    
    
    
    /*Menu Css*/
    
    .mobile-nav-icon {
        font-size: 23px; 
        border: 1px solid;
        width: 40px;
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 4px;
        color: #000;
    }
    
    .mobile-nav-icon {
        font-size: 23px;
        border: 1px solid;
        width: 40px;
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 4px;
        color: #000000;
    }
    
    .mobile-sidebar {
        position: fixed;
        height: 100%;
        width: 100%;
        background:#fff;
        z-index: 9999;
        padding: 40px 30px;
        left: -100%;
        top: 0;
        visibility: hidden;
        opacity: 0;
        transition: all .3s;
    }

     span.submenu-button:before {
        position: absolute;
        content: "";
        height: 20px;
        width: 2px;
        background: #fff;
        top: 12px;
        right: 9px;
        transition: all .3s;
    }
    
    
    .mobile-sidebar.mobile-menu-active {
        left: 0;
        visibility: visible;
        opacity: 1;
        transition: all .3s;
        padding-top: 55px;
        max-height: 100%;
        overflow-y: scroll;
    }
    
    .menu-close {
        position: absolute;
        right: 20px;
        top: 20px;
        font-size: 25px;
        color: #000;
        cursor: pointer;
    }
    
    .mobile-nav li a {
        font-size: 18px;
        line-height: 24px;
        color: #000;
        padding: 10px 0;
        display: block;
        font-weight: 500;
    }
    
    
    
    .mobile-nav li {
        position: relative;
        z-index: 2;
    }
    
    span.submenu-button {
        position: absolute;
        width: 100%;
        height: 44px;
        top: 0;
        left: 0;
        z-index: 3;
        transition: all .3s;
    }
    
    span.submenu-button:after, span.submenu-button:before {
        position: absolute;
        content: "";
        height: 20px;
        width: 2px;
        background: #000;
        top: 12px;
        right: 9px;
        transition: all .3s;
    }
    
    span.submenu-button:before {
        height: 2px;
        width: 20px;
        right: 0px;
        top: 22px;
    }
    
    span.submenu-button.submenu-opened:after {
        visibility: hidden;
        opacity: 0;
    }
    
    .sub-menu{
        display: none;
        padding-left: 15px;
    }

}